<?php
namespace gateways;

class IPPANELGateway{

    public static function sendSMS( $from, $mobile, $username, $password, $pattern, $input_data ) {
        $client = new \SoapClient("http://188.0.240.110/class/sms/wsdlservice/server.php?wsdl");

        return $client->sendPatternSms($from, $mobile, $username, $password, $pattern, $input_data);
    }

    public static function ippanel($username, $password, $mobile, $fromnum, $bodyId, $code){
        
        $client     = new \SoapClient("http://188.0.240.110/class/sms/wsdlservice/server.php?wsdl");
        $input_data = array(
        "verification-code" => $code,
        );
        $client->sendPatternSms($fromnum, $mobile, $username, $password, $bodyId, $input_data);

    }
}
